#> afkannouncer:app/main.mcfunction
# Execute each minecraft tick

# Set scoreboard values for players
  # Set basic value for time until afk for all players
    execute as @a unless score @s afkannouncer.afk_timer = @s afkannouncer.afk_timer run scoreboard players set @s afkannouncer.afk_timer 300

  # Set the default value for the individual notification config 0 = no notification, 1 = notification
    execute as @a unless entity @a[scores={afkannouncer.notification=1}] run \ 
      scoreboard players set @a afkannouncer.notification 0

  # Set the default value for the afkannouncer.afk_enabled config 0 = disabled, 1 = enabled
    execute as @a unless entity @a[scores={afkannouncer.afk_enabled=1}] run \ 
      scoreboard players set @a afkannouncer.afk_enabled 0

  # Set the default value for the afkannouncer.individual_afk_kick config 0 = disabled, 1 = enabled
    execute as @a unless entity @a[scores={afkannouncer.individual_afk_kick=1}] run \ 
      scoreboard players set @a afkannouncer.individual_afk_kick 0

# Check player position
  # Remove all afk position tags
    tag @a remove afkannouncer.rotation.x.not_moving
    tag @a remove afkannouncer.rotation.y.not_moving

    function afkannouncer:app/check/movement

    execute as @a[scores={afkannouncer.move=0,afkannouncer.jump=0,afkannouncer.sneak=0,afkannouncer.sprint=0}] run function afkannouncer:app/check/rotation

# If no movement is detected, add 1 to afk_time of player
  execute as @a[tag=afkannouncer.rotation.x.not_moving,tag=afkannouncer.rotation.y.not_moving,scores={afkannouncer.move=0,afkannouncer.jump=0,afkannouncer.sneak=0,afkannouncer.sprint=0}] run scoreboard players add @s afkannouncer.afk_time 1 

# Announce AFK
  # If AFK Kick ist enabled
    execute if score &afk_kick afkannouncer.config matches 1 \
     if score &players_decide_on_own afkannouncer.config matches 1 \
      as @a[tag=!afkannouncer.afk,scores={afkannouncer.afk_timer=1..,afkannouncer.individual_afk_kick=1}] \
       if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
       function afkannouncer:app/afk_kick/announce

    execute if score &afk_kick afkannouncer.config matches 1 \
     if score &players_decide_on_own afkannouncer.config matches 0 \
      as @a[tag=!afkannouncer.afk,scores={afkannouncer.afk_timer=1..}] \
       if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
       function afkannouncer:app/afk_kick/announce

  # If AFK Kick is disabled
    execute unless score &afk_kick afkannouncer.config matches 1 \
     as @a[tag=!afkannouncer.afk,scores={afkannouncer.afk_timer=1..}] \
      if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
       function afkannouncer:app/announce/afk

    execute unless score &afk_kick afkannouncer.config matches 1 \
     as @a[scores={afkannouncer.afk_timer=1..}] \
      if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
       tag @s[tag=!trigger_afk] add afkannouncer.afk

    execute if score &afk_kick afkannouncer.config matches 1 \
     if score &players_decide_on_own afkannouncer.config matches 1 \
     as @a[tag=!afkannouncer.afk,scores={afkannouncer.afk_timer=1..,afkannouncer.individual_afk_kick=0}] \
     if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
     function afkannouncer:app/announce/afk

    execute if score &afk_kick afkannouncer.config matches 1 \
      if score &players_decide_on_own afkannouncer.config matches 1 \
      as @a[tag=!afkannouncer.afk,scores={afkannouncer.afk_timer=1..,afkannouncer.individual_afk_kick=0}] \
      if score @s afkannouncer.afk_time >= @s afkannouncer.set_afk_timer_ticks run \
      tag @s[tag=!trigger_afk] add afkannouncer.afk

# Announce Return
  execute as @a[tag=afkannouncer.afk,scores={afkannouncer.afk_time=0..1, afkannouncer.afk_timer=1..}] run \
   function afkannouncer:app/announce/return
  
  tag @a[scores={afkannouncer.afk_time=0..1}] remove afkannouncer.afk

# When a player leaves the afk tag is removed
  execute as @a unless score @s afkannouncer.leave_game matches 1 store success score @s afkannouncer.leave_game run \
   tag @s remove afkannouncer.afk

# Listeners
  # Listen for trigger afk
    scoreboard players enable @a afk
    execute as @a if score @s afk matches 1 run \
     function afkannouncer:app/triggers/afk

  # Listen for trigger config 
    scoreboard players enable @a afkannouncer.config
    execute as @a if score @s afkannouncer.config matches 1 run \
     function afkannouncer:app/triggers/set_config_data with storage afkannouncer:config

  # Listen for trigger afkannouncer.color.config
    scoreboard players enable @a afkannouncer.color.config
    execute as @a if score @s afkannouncer.color.config matches 1 run \
     function afkannouncer:app/triggers/afkannouncer.color.config with storage afkannouncer:color

   # Listen for help
    scoreboard players enable @a help.afkannouncer
    execute as @a if score @s help.afkannouncer matches 1 run \
     function afkannouncer:app/help/trigger_help